Index: experimental/distortionNG/extViewer.cpp
===================================================================
--- experimental/distortionNG/extViewer.cpp	(revision 341)
+++ experimental/distortionNG/extViewer.cpp	(revision 342)
@@ -20,5 +20,7 @@
 extViewer::extViewer(osg::ArgumentParser& arguments) : Viewer(arguments)
 {
-
+	// Add help for command-line options read here
+    arguments.getApplicationUsage()->addCommandLineOption("--distort","load distortion file and set up geometrical distortion for viewer. This includes blending");
+    arguments.getApplicationUsage()->addCommandLineOption("--blend","Set up viewer vor simple blending CullDrawThreadPerContext threading model for viewer.");
 }
 
@@ -33,51 +35,51 @@
 }
 
-static osg::Texture2D* loadTexture( const std::string& fileName )
-{
-    std::string foundFileName = osgDB::findDataFile(fileName);
-    if (foundFileName.length() != 0 )
-    {
-        // load distortion map texture file
-        osg::Image* image = osgDB::readImageFile(foundFileName);
-        if (image)
-        {
-			osg::Texture2D* texture = new osg::Texture2D;
-            texture->setImage(image);
-			texture->setFilter(osg::Texture::MIN_FILTER,osg::Texture::LINEAR);
-			texture->setFilter(osg::Texture::MAG_FILTER,osg::Texture::LINEAR);
-			texture->setWrap(osg::Texture::WRAP_S,osg::Texture::CLAMP_TO_EDGE);
-			texture->setWrap(osg::Texture::WRAP_T,osg::Texture::CLAMP_TO_EDGE);
-            return texture;
-        }
-    }
-
-    OSG_NOTIFY(osg::WARN) << "File \"" << fileName << "\" not found." << std::endl;
-
-    return NULL;
-}
-
-static osg::TextureRectangle* loadTextureRect( const std::string& fileName )
-{
-    std::string foundFileName = osgDB::findDataFile(fileName);
-    if (foundFileName.length() != 0 )
-    {
-        // load distortion map texture file
-        osg::Image* image = osgDB::readImageFile(foundFileName);
-        if (image)
-        {
-			osg::TextureRectangle* texture = new osg::TextureRectangle;
-            texture->setImage(image);
-            texture->setFilter(osg::Texture2D::MIN_FILTER, osg::Texture2D::LINEAR);
-            texture->setFilter(osg::Texture2D::MAG_FILTER, osg::Texture2D::LINEAR);
-            texture->setWrap(osg::Texture2D::WRAP_S, osg::Texture2D::CLAMP_TO_EDGE);
-            texture->setWrap(osg::Texture2D::WRAP_T, osg::Texture2D::CLAMP_TO_EDGE);
-            return texture;
-        }
-    }
-
-    OSG_NOTIFY(osg::WARN) << "File \"" << fileName << "\" not found." << std::endl;
-
-    return NULL;
-}
+//static osg::Texture2D* loadTexture( const std::string& fileName )
+//{
+//    std::string foundFileName = osgDB::findDataFile(fileName);
+//    if (foundFileName.length() != 0 )
+//    {
+//        // load distortion map texture file
+//        osg::Image* image = osgDB::readImageFile(foundFileName);
+//        if (image)
+//        {
+//			osg::Texture2D* texture = new osg::Texture2D;
+//            texture->setImage(image);
+//			texture->setFilter(osg::Texture::MIN_FILTER,osg::Texture::LINEAR);
+//			texture->setFilter(osg::Texture::MAG_FILTER,osg::Texture::LINEAR);
+//			texture->setWrap(osg::Texture::WRAP_S,osg::Texture::CLAMP_TO_EDGE);
+//			texture->setWrap(osg::Texture::WRAP_T,osg::Texture::CLAMP_TO_EDGE);
+//            return texture;
+//        }
+//    }
+//
+//    OSG_NOTIFY(osg::WARN) << "File \"" << fileName << "\" not found." << std::endl;
+//
+//    return NULL;
+//}
+
+//static osg::TextureRectangle* loadTextureRect( const std::string& fileName )
+//{
+//    std::string foundFileName = osgDB::findDataFile(fileName);
+//    if (foundFileName.length() != 0 )
+//    {
+//        // load distortion map texture file
+//        osg::Image* image = osgDB::readImageFile(foundFileName);
+//        if (image)
+//        {
+//			osg::TextureRectangle* texture = new osg::TextureRectangle;
+//            texture->setImage(image);
+//            texture->setFilter(osg::Texture2D::MIN_FILTER, osg::Texture2D::LINEAR);
+//            texture->setFilter(osg::Texture2D::MAG_FILTER, osg::Texture2D::LINEAR);
+//            texture->setWrap(osg::Texture2D::WRAP_S, osg::Texture2D::CLAMP_TO_EDGE);
+//            texture->setWrap(osg::Texture2D::WRAP_T, osg::Texture2D::CLAMP_TO_EDGE);
+//            return texture;
+//        }
+//    }
+//
+//    OSG_NOTIFY(osg::WARN) << "File \"" << fileName << "\" not found." << std::endl;
+//
+//    return NULL;
+//}
 
 static osg::Geometry* createMesh(const osg::Vec3& origin, const osg::Vec3& widthVector, const osg::Vec3& heightVector, unsigned int columns, unsigned int rows, osg::Image* intensityMap, bool applyIntensityMapAsColours, const osg::Matrix& projectorMatrix)