Index: experimental/distortionNG/DistortionManipulator.cpp
===================================================================
--- experimental/distortionNG/DistortionManipulator.cpp	(revision 356)
+++ experimental/distortionNG/DistortionManipulator.cpp	(revision 357)
@@ -68,13 +68,22 @@
 			if ( activeSetupMode == MANUAL)
 			{
-				osg::notify(osg::ALWAYS)<<std::endl<<"Drag:"<<std::endl<<"ea.getGraphicsContext()="<<ea.getGraphicsContext()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getXnormalized()="<<ea.getXnormalized()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getYnormalized()="<<ea.getYnormalized()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getX()="<<ea.getX()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getXin()="<<ea.getXmin()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getXmax()="<<ea.getXmax()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getY()="<<ea.getY()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getYin()="<<ea.getYmin()<<std::endl;
-				osg::notify(osg::ALWAYS)<<"ea.getYmax()="<<ea.getYmax()<<std::endl;
+				OSG_ALWAYS<<std::endl<<"Drag:"<<std::endl<<"ea.getGraphicsContext()="<<ea.getGraphicsContext()<<std::endl;
+				OSG_ALWAYS<<"ea.getXnormalized()="<<ea.getXnormalized()<<std::endl;
+				OSG_ALWAYS<<"ea.getYnormalized()="<<ea.getYnormalized()<<std::endl;
+				OSG_ALWAYS<<"ea.getX()="<<ea.getX()<<std::endl;
+				OSG_ALWAYS<<"ea.getXin()="<<ea.getXmin()<<std::endl;
+				OSG_ALWAYS<<"ea.getXmax()="<<ea.getXmax()<<std::endl;
+				OSG_ALWAYS<<"ea.getY()="<<ea.getY()<<std::endl;
+				OSG_ALWAYS<<"ea.getYin()="<<ea.getYmin()<<std::endl;
+				OSG_ALWAYS<<"ea.getYmax()="<<ea.getYmax()<<std::endl;
+
+				if(activeDistortionMode == MESH)
+				{
+					OSG_ALWAYS<<"MESH!"<<std::endl;
+				}
+				else if (activeDistortionMode == TEXCOORDINATES)
+				{
+					OSG_ALWAYS<<"TEXCOORDINATES!"<<std::endl;
+				}
 
 				return true;	// true means event handled: not forwarded to the camera manipulator;
@@ -109,8 +118,8 @@
         case(osgGA::GUIEventAdapter::KEYDOWN):
 		{
-			if (ea.getKey()==osgGA::GUIEventAdapter::KEY_KP_Insert)	// KP 0: Show/Hide HUD   // definition: child #0 = mesh, #1 = highlighter, #2 HUD
-			{
-				bool oldValue = _distortionSet->getDistortionInternals()->getValue(2);
-				_distortionSet->getDistortionInternals()->setValue(2, !oldValue);
+			if (ea.getKey()==osgGA::GUIEventAdapter::KEY_KP_Insert)	// KP 0: Show/Hide HUD
+			{
+				bool oldValue = _distortionSet->getDistortionInternals()->getValue(DistortionSet::HUD);
+				_distortionSet->getDistortionInternals()->setValue(DistortionSet::HUD, !oldValue);
 				return(true);
 			}
@@ -133,5 +142,5 @@
 						activeSetupMode = MANUAL;
 						OSG_NOTICE<<"SetupMode MANUAL activated"<<std::endl;
-						_distortionSet->getDistortionInternals()->setValue(1, true); // definition: child #0 = mesh, #1 = highlighter, #2 HUD
+						_distortionSet->getDistortionInternals()->setValue(DistortionSet::HIGHLIGHTER, true);
 						break;
 					}
@@ -139,5 +148,5 @@
 					{
 						activeSetupMode = DELEGATED;
-						_distortionSet->getDistortionInternals()->setValue(1, false); // definition: child #0 = mesh, #1 = highlighter, #2 HUD
+						_distortionSet->getDistortionInternals()->setValue(DistortionSet::HIGHLIGHTER, false);
 						OSG_NOTICE<<"SetupMode DELEGATED activated"<<std::endl;
 						break;
@@ -146,5 +155,5 @@
 					{
 						activeSetupMode = DISABLED;
-						_distortionSet->getDistortionInternals()->setValue(1, false); // definition: child #0 = mesh, #1 = highlighter, #2 HUD
+						_distortionSet->getDistortionInternals()->setValue(DistortionSet::HIGHLIGHTER, false); 
 						OSG_NOTICE<<"SetupMode DISABLED activated"<<std::endl;
 						break;
Index: experimental/distortionNG/DistortionSet.h
===================================================================
--- experimental/distortionNG/DistortionSet.h	(revision 356)
+++ experimental/distortionNG/DistortionSet.h	(revision 357)
@@ -29,4 +29,10 @@
 {
 public:
+	enum DistortionInternals {
+		MESH = 0,
+		HIGHLIGHTER = 1,
+		HUD = 2
+	};
+
 	META_Object(osgViewer,DistortionSet);	// Required for serializer
 
@@ -103,5 +109,5 @@
 	// These variable are therefor not saved/restored by the serializer but populated on runtime.
 	osg::observer_ptr<osg::Camera> _camera;	// is used to pass the distortion cam from osgViewers setupDistortion() method to the manipulator.
-	osg::ref_ptr<osg::Switch> _distortionInternals;
+	osg::ref_ptr<osg::Switch> _distortionInternals;	// definition: child #0 = mesh, #1 = highlighter, #2 HUD
 };
 
Index: experimental/distortionNG/extViewer.cpp
===================================================================
--- experimental/distortionNG/extViewer.cpp	(revision 356)
+++ experimental/distortionNG/extViewer.cpp	(revision 357)
@@ -18,5 +18,4 @@
 
 #include "extViewer.h"
-#include "distortionNG.h"
 
 #include <osg/Switch>
@@ -275,5 +274,5 @@
 
 		osg::ref_ptr<osg::Switch> root = _distortionSet->getDistortionInternals();
-		root->addChild(geode, true);	// adds mesh,shader,.. so camera renders mesh (and  thus render the scene)
+		root->addChild(geode, true);	// Child #0  (adds mesh,shader,.. so camera renders mesh (and  thus render the scene))
 		camera->addChild(root);
 
Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 356)
+++ experimental/distortionNG/main.cpp	(revision 357)
@@ -192,5 +192,5 @@
  *																subsclassed function aufrufen bzw foreignClass->delegateDistortionSetup(distContainer& container)
  *											
- *										Vertex Highlighter für die manuelle Verzerrung soll nur eingeblendet werden wenn der Betriebsmodus MANUAL ist.
+ *							[done]			Vertex Highlighter für die manuelle Verzerrung soll nur eingeblendet werden wenn der Betriebsmodus MANUAL ist.
  * 									
  * 