Index: experimental/distortionNG/extViewer.cpp
===================================================================
--- experimental/distortionNG/extViewer.cpp	(revision 358)
+++ experimental/distortionNG/extViewer.cpp	(revision 359)
@@ -240,9 +240,12 @@
     // distortion correction set up.
     {
-		osg::Geode* geode = new osg::Geode();
+		osg::ref_ptr<osg::Switch> root = _distortionSet->getDistortionInternals();
+		osg::Geode* meshGeode = new osg::Geode();
+		root->addChild(meshGeode, true);	// Child #0  (adds mesh,shader,.. so camera renders mesh (and  thus render the scene))
+		
 
 		// new we need to add the scene texture to the mesh, we do so by creating a
         // StateSet to contain the Texture StateAttribute.
-	    osg::StateSet* stateset = geode->getOrCreateStateSet();
+	    osg::StateSet* stateset = meshGeode->getOrCreateStateSet();
         stateset->setTextureAttributeAndModes(_distortionSet->getTexUnitScene(), sceneTexture,osg::StateAttribute::ON);
         stateset->setMode(GL_LIGHTING,osg::StateAttribute::OFF);
@@ -250,10 +253,10 @@
 		osg::TexMat* texmat = new osg::TexMat;
 	    texmat->setScaleByTextureRectangleSize(true);
-        stateset->setTextureAttributeAndModes(0, texmat, osg::StateAttribute::ON);
-
-		setUpIntensityMapBlending(_distortionSet, stateset, screenNum);
+        stateset->setTextureAttributeAndModes(_distortionSet->getTexUnitScene(), texmat, osg::StateAttribute::ON);
 
 		osg::Geometry* distortionMesh = createMesh(osg::Vec3(0.0f,0.0f,0.0f), osg::Vec3(width,0.0f,0.0f), osg::Vec3(0.0f,height,0.0f), 20, 20, projectorMatrix);
-		geode->addDrawable(distortionMesh);
+		meshGeode->addDrawable(distortionMesh);
+
+		setUpIntensityMapBlending(_distortionSet, screenNum);
 
         osg::ref_ptr<osg::Camera> camera = new osg::Camera;
@@ -273,13 +276,10 @@
         camera->setViewMatrix(osg::Matrix::identity());
 
-		osg::ref_ptr<osg::Switch> root = _distortionSet->getDistortionInternals();
-		root->addChild(geode, true);	// Child #0  (adds mesh,shader,.. so camera renders mesh (and  thus render the scene))
 		camera->addChild(root);
-
 		_distortionSet->setDistortionCamera( camera );
 
 		// Ensure selector is visible:
-		geode->getOrCreateStateSet()->setMode( GL_LIGHTING, osg::StateAttribute::OFF );
-		geode->getOrCreateStateSet()->setAttributeAndModes( new osg::PolygonOffset(1.0f, 1.0f) );
+		meshGeode->getOrCreateStateSet()->setMode( GL_LIGHTING, osg::StateAttribute::OFF );
+		meshGeode->getOrCreateStateSet()->setAttributeAndModes( new osg::PolygonOffset(1.0f, 1.0f) );
 		
         camera->setName("Dist Cam");
@@ -289,7 +289,9 @@
 }
 
-void extViewer::setUpIntensityMapBlending(osgViewer::DistortionSet* distSet, osg::StateSet* stateset, unsigned int screenNum)
+void extViewer::setUpIntensityMapBlending(osgViewer::DistortionSet* distSet, unsigned int screenNum)
 {
 	osg::Image* intensityMap = _distortionSet->getIntensityMap();
+	osg::StateSet* stateset = _distortionSet->getDistortionInternals()->getChild(osgViewer::DistortionSet::MESH)->getOrCreateStateSet();
+
 	if(intensityMap == NULL)	return;
 
Index: experimental/distortionNG/extViewer.h
===================================================================
--- experimental/distortionNG/extViewer.h	(revision 358)
+++ experimental/distortionNG/extViewer.h	(revision 359)
@@ -39,5 +39,5 @@
         void setUpViewForManualDistortion(osgViewer::DistortionSet* distSet, unsigned int screenNum=0, const osg::Matrixd& projectorMatrix = osg::Matrixd());
 
-		void setUpIntensityMapBlending(osgViewer::DistortionSet* distSet, osg::StateSet* stateset, unsigned int screenNum=0);
+		void setUpIntensityMapBlending(osgViewer::DistortionSet* distSet, unsigned int screenNum=0);
 		void setUpIntensityMapBlending(std::string intensityMap);
 
Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 358)
+++ experimental/distortionNG/main.cpp	(revision 359)
@@ -174,5 +174,5 @@
  * distortionManipulator				abgeleitet von osgGA::GUIEventHandler
  *										Grundfunktionen:
- *							[.]		- Key to Show Distortion Mesh / Intensity Map / none
+ *							[done|.|.]	- Key to Show Distortion Mesh / Intensity Map / none
  *										- Key to Save distortion Container  - via plugin
  *							[.]		- Key to toggle MANUAL mode between blending und distortion setup