Index: /experimental/distortionNG/ReaderWriterDist.cpp
===================================================================
--- /experimental/distortionNG/ReaderWriterDist.cpp	(revision 365)
+++ /experimental/distortionNG/ReaderWriterDist.cpp	(revision 365)
@@ -0,0 +1,48 @@
+#include "ReaderWriterDist.h"
+#include <osg/KdTree>
+
+ReaderWriterDist::ReaderWriterDist()
+{
+	supportsExtension( "dist", "distortion set loader");
+
+
+	extensionToAdd = ".dist";
+}
+
+ReaderWriterDist::ReadResult ReaderWriterDist::readNode( const std::string& file, const osgDB::ReaderWriter::Options* options) const
+{
+	// Check if its a valid file for this pseudo loader
+	std::string ext = osgDB::getLowerCaseFileExtension( file );
+	if( !acceptsExtension(ext) )
+		return ReadResult::FILE_NOT_HANDLED;
+
+	// Strip the pseudo-loader extension
+    std::string realName = osgDB::getNameLessExtension( file );
+
+	// check if stripped file exists
+	std::string fileName = osgDB::findDataFile( realName, options );
+	if( fileName.empty() )
+		return ReadResult::FILE_NOT_FOUND;
+
+	// If options are available: Save it'S original KdTree Hint.
+	Options::BuildKdTreesHint originalHint = Options::NO_PREFERENCE;
+	if(options)
+	{
+		originalHint = options->getBuildKdTreesHint();
+		const_cast<osgDB::ReaderWriter::Options*>(options)->setBuildKdTreesHint(Options::DO_NOT_BUILD_KDTREES);
+	}
+
+	// Load real file
+	osg::Node *node = osgDB::readNodeFile( fileName, options );
+    if( !node )
+    {
+        // propagate the read failure upwards
+        OSG_WARN << "Subfile \"" << fileName << "\" could not be loaded" << std::endl;
+        return ReadResult::FILE_NOT_HANDLED;
+    }
+
+	return node;
+}
+
+// Add ourself to the Registry to instantiate the reader/writer.
+REGISTER_OSGPLUGIN(dist, ReaderWriterDist)
Index: /experimental/distortionNG/ReaderWriterDist.h
===================================================================
--- /experimental/distortionNG/ReaderWriterDist.h	(revision 365)
+++ /experimental/distortionNG/ReaderWriterDist.h	(revision 365)
@@ -0,0 +1,21 @@
+#pragma once
+
+#include <osg/Notify>
+#include <osgDB/FileNameUtils>
+#include <osgDB/FileUtils>
+#include <osgDB/Registry>
+#include <osgDB/ReadFile>
+
+#include "ModificationVisitor.h"
+
+class ReaderWriterDist : public osgDB::ReaderWriter
+{
+public:
+	ReaderWriterDist();
+
+	virtual const char* className() const { return "terrain modification pseudo-loader"; };
+	virtual ReadResult readNode( const std::string& file, const osgDB::ReaderWriter::Options* options) const;
+
+private:
+	std::string extensionToAdd;
+};
Index: /experimental/distortionNG/distortionNG.sln
===================================================================
--- /experimental/distortionNG/distortionNG.sln	(revision 364)
+++ /experimental/distortionNG/distortionNG.sln	(revision 365)
@@ -1161,4 +1161,8 @@
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Plugins", "Plugins", "{6426C9B8-99D7-4971-A56E-657BD6EA603C}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "distortion Next Generation", "distortion Next Generation", "{D149D2A2-00E2-4341-8B55-D286EC183362}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Plugins dist", "osgdb_dist.vcproj", "{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}"
 EndProject
 Global
@@ -2950,4 +2954,16 @@
 		{E87A0B2C-840F-4B08-82E7-363DA059597B}.RelWithDebInfo|x64.ActiveCfg = RelWithDebInfo|x64
 		{E87A0B2C-840F-4B08-82E7-363DA059597B}.RelWithDebInfo|x64.Build.0 = RelWithDebInfo|x64
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.Debug|Win32.ActiveCfg = Debug|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.Debug|Win32.Build.0 = Debug|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.Debug|x64.ActiveCfg = Debug|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.MinSizeRel|Win32.ActiveCfg = MinSizeRel|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.MinSizeRel|Win32.Build.0 = MinSizeRel|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.MinSizeRel|x64.ActiveCfg = MinSizeRel|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.Release|Win32.ActiveCfg = Release|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.Release|Win32.Build.0 = Release|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.Release|x64.ActiveCfg = Release|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.RelWithDebInfo|Win32.ActiveCfg = RelWithDebInfo|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.RelWithDebInfo|Win32.Build.0 = RelWithDebInfo|Win32
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}.RelWithDebInfo|x64.ActiveCfg = RelWithDebInfo|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -2955,4 +2971,6 @@
 	EndGlobalSection
 	GlobalSection(NestedProjects) = preSolution
+		{5A40C2C2-1D46-490F-AEA1-AB569BD5714A} = {D149D2A2-00E2-4341-8B55-D286EC183362}
+		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60} = {D149D2A2-00E2-4341-8B55-D286EC183362}
 		{7994B7F6-11C0-4FBB-A6BD-E9E2C53F25C2} = {72A62150-99E9-46AF-9A82-645E9E1CCC65}
 		{4DD375A0-9330-4081-95CF-A7893335431C} = {72A62150-99E9-46AF-9A82-645E9E1CCC65}
Index: /experimental/distortionNG/osgdb_dist.vcproj
===================================================================
--- /experimental/distortionNG/osgdb_dist.vcproj	(revision 365)
+++ /experimental/distortionNG/osgdb_dist.vcproj	(revision 365)
@@ -0,0 +1,483 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="9,00"
+	Name="Plugins dist"
+	ProjectGUID="{2EAF5B2C-782D-4ECC-873A-06CB4310FA60}"
+	RootNamespace="Plugins dist"
+	Keyword="Win32Proj"
+	TargetFrameworkVersion="0"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="Debug"
+			IntermediateDirectory="osgdb_dist.dir\Debug"
+			ConfigurationType="2"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,_DEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;Debug\&quot;,osgdb_dist_EXPORTS"
+				MkTypLibCompatible="false"
+				TargetEnvironment="1"
+				GenerateStublessProxies="true"
+				TypeLibraryName="$(InputName).tlb"
+				OutputDirectory="$(IntDir)"
+				HeaderFileName="$(InputName).h"
+				DLLDataFileName=""
+				InterfaceIdentifierFileName="$(InputName)_i.c"
+				ProxyFileName="$(InputName)_p.c"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions=" /Zm1000"
+				Optimization="0"
+				InlineFunctionExpansion="0"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+				PreprocessorDefinitions="WIN32,_WINDOWS,_DEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;Debug\&quot;,osgdb_dist_EXPORTS"
+				ExceptionHandling="1"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				RuntimeTypeInfo="true"
+				AssemblerListingLocation="Debug"
+				ObjectFile="$(IntDir)\"
+				ProgramDataBaseFileName="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0/osgdb_distd.pdb"
+				WarningLevel="4"
+				DebugInformationFormat="3"
+				CompileAs="2"
+				DisableSpecificWarnings="4706;4127;4100"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,_DEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;Debug\&quot;,osgdb_dist_EXPORTS"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkLibraryDependencies="false"
+				AdditionalOptions=" /STACK:10000000 /machine:X86 /debug"
+				AdditionalDependencies="$(NOINHERIT) kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib  ..\..\..\lib\OpenThreadsd.lib ..\..\..\lib\osgd.lib ..\..\..\lib\osgDBd.lib ..\..\..\lib\osgUtild.lib opengl32.lib ..\..\..\lib\osgd.lib ..\..\..\lib\OpenThreadsd.lib D:\OpenSceneGraph\3rdParty_x86_x64\x86\lib\zlibD.lib opengl32.lib "
+				OutputFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_distd.dll"
+				Version="0.0"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories=""
+				GenerateDebugInformation="true"
+				ProgramDatabaseFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_distd.pdb"
+				ImportLibrary="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\lib\osgPlugins-3.1.0\osgdb_distd.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="Release"
+			IntermediateDirectory="osgdb_dist.dir\Release"
+			ConfigurationType="2"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;Release\&quot;,osgdb_dist_EXPORTS"
+				MkTypLibCompatible="false"
+				TargetEnvironment="1"
+				GenerateStublessProxies="true"
+				TypeLibraryName="$(InputName).tlb"
+				OutputDirectory="$(IntDir)"
+				HeaderFileName="$(InputName).h"
+				DLLDataFileName=""
+				InterfaceIdentifierFileName="$(InputName)_i.c"
+				ProxyFileName="$(InputName)_p.c"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions=" /Zm1000"
+				Optimization="2"
+				InlineFunctionExpansion="2"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;Release\&quot;,osgdb_dist_EXPORTS"
+				ExceptionHandling="1"
+				RuntimeLibrary="2"
+				RuntimeTypeInfo="true"
+				AssemblerListingLocation="Release"
+				ObjectFile="$(IntDir)\"
+				ProgramDataBaseFileName="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0/osgdb_dist.pdb"
+				WarningLevel="4"
+				CompileAs="2"
+				DisableSpecificWarnings="4706;4127;4100"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;Release\&quot;,osgdb_dist_EXPORTS"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkLibraryDependencies="false"
+				AdditionalOptions=" /STACK:10000000 /machine:X86"
+				AdditionalDependencies="$(NOINHERIT) kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib  ..\..\..\lib\OpenThreads.lib ..\..\..\lib\osg.lib ..\..\..\lib\osgDB.lib ..\..\..\lib\osgUtil.lib opengl32.lib ..\..\..\lib\osg.lib ..\..\..\lib\OpenThreads.lib D:\OpenSceneGraph\3rdParty_x86_x64\x86\lib\zlib.lib opengl32.lib "
+				OutputFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_dist.dll"
+				Version="0.0"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories=""
+				ProgramDatabaseFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_dist.pdb"
+				ImportLibrary="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\lib\osgPlugins-3.1.0\osgdb_dist.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="MinSizeRel|Win32"
+			OutputDirectory="MinSizeRel"
+			IntermediateDirectory="osgdb_dist.dir\MinSizeRel"
+			ConfigurationType="2"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;MinSizeRel\&quot;,osgdb_dist_EXPORTS"
+				MkTypLibCompatible="false"
+				TargetEnvironment="1"
+				GenerateStublessProxies="true"
+				TypeLibraryName="$(InputName).tlb"
+				OutputDirectory="$(IntDir)"
+				HeaderFileName="$(InputName).h"
+				DLLDataFileName=""
+				InterfaceIdentifierFileName="$(InputName)_i.c"
+				ProxyFileName="$(InputName)_p.c"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions=" /Zm1000"
+				Optimization="1"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;MinSizeRel\&quot;,osgdb_dist_EXPORTS"
+				ExceptionHandling="1"
+				RuntimeLibrary="2"
+				RuntimeTypeInfo="true"
+				AssemblerListingLocation="MinSizeRel"
+				ObjectFile="$(IntDir)\"
+				ProgramDataBaseFileName="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0/osgdb_dists.pdb"
+				WarningLevel="4"
+				CompileAs="2"
+				DisableSpecificWarnings="4706;4127;4100"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;MinSizeRel\&quot;,osgdb_dist_EXPORTS"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkLibraryDependencies="false"
+				AdditionalOptions=" /STACK:10000000 /machine:X86"
+				AdditionalDependencies="$(NOINHERIT) kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib  ..\..\..\lib\OpenThreadss.lib ..\..\..\lib\osgs.lib ..\..\..\lib\osgDBs.lib ..\..\..\lib\osgUtils.lib opengl32.lib ..\..\..\lib\osgs.lib ..\..\..\lib\OpenThreadss.lib D:\OpenSceneGraph\3rdParty_x86_x64\x86\lib\zlib.lib opengl32.lib "
+				OutputFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_dists.dll"
+				Version="0.0"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories=""
+				ProgramDatabaseFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_dists.pdb"
+				ImportLibrary="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\lib\osgPlugins-3.1.0\osgdb_dists.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="RelWithDebInfo|Win32"
+			OutputDirectory="RelWithDebInfo"
+			IntermediateDirectory="osgdb_dist.dir\RelWithDebInfo"
+			ConfigurationType="2"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;RelWithDebInfo\&quot;,osgdb_dist_EXPORTS"
+				MkTypLibCompatible="false"
+				TargetEnvironment="1"
+				GenerateStublessProxies="true"
+				TypeLibraryName="$(InputName).tlb"
+				OutputDirectory="$(IntDir)"
+				HeaderFileName="$(InputName).h"
+				DLLDataFileName=""
+				InterfaceIdentifierFileName="$(InputName)_i.c"
+				ProxyFileName="$(InputName)_p.c"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions=" /Zm1000"
+				Optimization="2"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;RelWithDebInfo\&quot;,osgdb_dist_EXPORTS"
+				ExceptionHandling="1"
+				RuntimeLibrary="2"
+				RuntimeTypeInfo="true"
+				AssemblerListingLocation="RelWithDebInfo"
+				ObjectFile="$(IntDir)\"
+				ProgramDataBaseFileName="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0/osgdb_distrd.pdb"
+				WarningLevel="4"
+				DebugInformationFormat="3"
+				CompileAs="2"
+				DisableSpecificWarnings="4706;4127;4100"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="WIN32,_WINDOWS,NDEBUG,_SCL_SECURE_NO_WARNINGS,_CRT_SECURE_NO_DEPRECATE,CMAKE_INTDIR=\&quot;RelWithDebInfo\&quot;,osgdb_dist_EXPORTS"
+				AdditionalIncludeDirectories="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\include;"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkLibraryDependencies="false"
+				AdditionalOptions=" /STACK:10000000 /machine:X86 /debug"
+				AdditionalDependencies="$(NOINHERIT) kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib  ..\..\..\lib\OpenThreadsrd.lib ..\..\..\lib\osgrd.lib ..\..\..\lib\osgDBrd.lib ..\..\..\lib\osgUtilrd.lib opengl32.lib ..\..\..\lib\osgrd.lib ..\..\..\lib\OpenThreadsrd.lib D:\OpenSceneGraph\3rdParty_x86_x64\x86\lib\zlib.lib opengl32.lib "
+				OutputFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_distrd.dll"
+				Version="0.0"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories=""
+				GenerateDebugInformation="true"
+				ProgramDatabaseFile="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\bin\osgPlugins-3.1.0\osgdb_distrd.pdb"
+				ImportLibrary="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\lib\osgPlugins-3.1.0\osgdb_distrd.lib"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			>
+			<File
+				RelativePath="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\PlatformSpecifics\Windows\OpenSceneGraphVersionInfo.rc"
+				>
+			</File>
+			<File
+				RelativePath=".\ReaderWriterDist.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			>
+			<File
+				RelativePath=".\ReaderWriterDist.h"
+				>
+			</File>
+		</Filter>
+		<File
+			RelativePath="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt"
+			>
+			<FileConfiguration
+				Name="Debug|Win32"
+				>
+				<Tool
+					Name="VCCustomBuildTool"
+					Description="Building Custom Rule D:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86/src/osgPlugins/trans/CMakeLists.txt"
+					CommandLine="&quot;C:\Program Files (x86)\CMake 2.8\bin\cmake.exe&quot; -HD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 -BD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 --check-stamp-file D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp&#x0D;&#x0A;if errorlevel 1 goto VCReportError&#x0D;&#x0A;"
+					AdditionalDependencies="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;"
+					Outputs="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp"
+				/>
+			</FileConfiguration>
+			<FileConfiguration
+				Name="Release|Win32"
+				>
+				<Tool
+					Name="VCCustomBuildTool"
+					Description="Building Custom Rule D:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86/src/osgPlugins/trans/CMakeLists.txt"
+					CommandLine="&quot;C:\Program Files (x86)\CMake 2.8\bin\cmake.exe&quot; -HD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 -BD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 --check-stamp-file D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp&#x0D;&#x0A;if errorlevel 1 goto VCReportError&#x0D;&#x0A;"
+					AdditionalDependencies="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;"
+					Outputs="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp"
+				/>
+			</FileConfiguration>
+			<FileConfiguration
+				Name="MinSizeRel|Win32"
+				>
+				<Tool
+					Name="VCCustomBuildTool"
+					Description="Building Custom Rule D:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86/src/osgPlugins/trans/CMakeLists.txt"
+					CommandLine="&quot;C:\Program Files (x86)\CMake 2.8\bin\cmake.exe&quot; -HD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 -BD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 --check-stamp-file D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp&#x0D;&#x0A;if errorlevel 1 goto VCReportError&#x0D;&#x0A;"
+					AdditionalDependencies="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;"
+					Outputs="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp"
+				/>
+			</FileConfiguration>
+			<FileConfiguration
+				Name="RelWithDebInfo|Win32"
+				>
+				<Tool
+					Name="VCCustomBuildTool"
+					Description="Building Custom Rule D:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86/src/osgPlugins/trans/CMakeLists.txt"
+					CommandLine="&quot;C:\Program Files (x86)\CMake 2.8\bin\cmake.exe&quot; -HD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 -BD:/OpenSceneGraph/OpenSceneGraph-3.1.0_x86 --check-stamp-file D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp&#x0D;&#x0A;if errorlevel 1 goto VCReportError&#x0D;&#x0A;"
+					AdditionalDependencies="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeLists.txt;"
+					Outputs="D:\OpenSceneGraph\OpenSceneGraph-3.1.0_x86\src\osgPlugins\trans\CMakeFiles\generate.stamp"
+				/>
+			</FileConfiguration>
+		</File>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>